env.info( '*** a2gTasking INCLUDE START *** ' )

local HQ = GROUP:FindByName( "HQ" )

local CommandCenter = COMMANDCENTER:New( HQ, "RAF" )

local Scoring = SCORING:New( "Detect" )

local Mission = MISSION
  :New( CommandCenter, "Overlord", "High", "Attack Ground Targets", coalition.side.BLUE )
  :AddScoring( Scoring )

local FACSet = SET_GROUP:New():FilterPrefixes( {"BLUE", "FAC", "00", "01", "02", "03", "04"} ):FilterCoalitions("blue"):FilterStart()

local FACAreas = DETECTION_AREAS:New( FACSet, 10000 )
FACAreas:FlareDetectedUnits()


local AttackGroups = SET_GROUP:New():FilterCoalitions( "blue" ):FilterPrefixes( {"00", "01", "02", "03", "04"} ):FilterStart()

TaskDispatcher = TASK_A2G_DISPATCHER:New( Mission, AttackGroups, FACAreas )

--- @param #TaskDispatcher self
-- @param From 
-- @param Event
-- @param To
-- @param Tasking.Task_A2G#TASK_A2G Task
-- @param Wrapper.Unit#UNIT TaskUnit
-- @param #string PlayerName
function TaskDispatcher:OnAfterAssign( From, Event, To, Task, TaskUnit, PlayerName )
  Task:SetScoreOnProgress( "Player " .. PlayerName .. " destroyed a target", 20, TaskUnit )
  Task:SetScoreOnSuccess( "The task has been successfully completed!", 200, TaskUnit )
  Task:SetScoreOnFail( "The task has failed completion!", -100, TaskUnit )
end

  env.info( '*** a2gTasking INCLUDE END *** ' )